curl
curl -sS "https://gateway.orbit/api/v1/nodes/7/managed-firewall-rules" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'
{
"data": [
{
"name": "<string>",
"role": "<string>",
"action": "<string>",
"source": "<string>",
"destination": "<string>",
"port": "<string>",
"protocol": "<string>",
"interface": "<string>"
}
],
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Firewall
List Orbit's own firewall rules
Returns the orbit: rules Orbit intends on the Node: WireGuard member trust, public SSH recovery only while no active role has closed it, then each active role, the task VM image peers on a task VM host, and Metrics. The list does not SSH. No request adds, changes, or removes one of these rules.
GET
/
api
/
v1
/
nodes
/
{node}
/
managed-firewall-rules
curl
curl -sS "https://gateway.orbit/api/v1/nodes/7/managed-firewall-rules" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'
{
"data": [
{
"name": "<string>",
"role": "<string>",
"action": "<string>",
"source": "<string>",
"destination": "<string>",
"port": "<string>",
"protocol": "<string>",
"interface": "<string>"
}
],
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Path Parameters
Numeric Node ID.
Required range:
x >= 1